Skip to main content
Resource Center/Resource Pool/Auto-Scaling Group Operations

CreateAutoScalingGroup

CreateAutoScalingGroup

POST/zstack/v1/autoscaling/groups

Operation ID

CreateAutoScalingGroup

Since

3.1.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • name
      StringRequired

      The resource name.

    • description
      String

      Optional. The detailed description of the resource.

    • scalingResourceType
      StringRequired

      The resource type of the auto scaling group. Current type: VM instance.

    • minResourceSize
      IntegerRequired

      The minimum number of VM instances in the auto scaling group.

    • maxResourceSize
      IntegerRequired

      The maximum number of VM instances in the auto scaling group.

    • defaultCooldown
      LongRequired

      The default cooldown time of the auto scaling rule.

    • removalPolicy
      StringRequired

      The policy for removing a VM instance.

    • defaultEnable
      boolean

      Optional. Whether to enable the auto scaling group after creation.

    • resourceUuid
      String

      Optional. The resource UUID.

    • tagUuids
      List

      Optional. The tag UUID list.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    AutoScalingGroupInventoryRequired

    See inventory.

    • name
      StringRequired

      The resource name.

    • uuid
      StringRequired

      The resource UUID.

    • scalingResourceType
      StringRequired

      The resource type of the auto scaling group. Current type: VM instance.

    • state
      StringRequired

      The state of the auto scaling group.

    • defaultCooldown
      LongRequired

      The default cooldown time of the auto scaling rule.

    • description
      StringRequired

      The detailed description of the resource.

    • minResourceSize
      IntegerRequired

      The minimum number of VM instances in the auto scaling group.

    • maxResourceSize
      IntegerRequired

      The maximum number of VM instances in the auto scaling group.

    • removalPolicy
      StringRequired

      The default policy for removing a VM instance.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • attachedTemplates
      ListRequired

      The templates of VM instances attached to the auto scaling group.

    • systemTags
      ListRequired

      The system tags.